## org.eclipse.datatools.sqltools.debugger.debug
Interface ISourceLocatorProvider

    public interface ISourceLocatorProvider

This interface gives the extender an opportunity to change the default source locator used by the sql debugger framework. e.g. clients may contribute a specific source locator and model presentation to open a multipage form editor instead of the standalone sql editor.

Author:
  Hui Cao

Method Summary
`org.eclipse.debug.core.model.IPersistableSourceLocator` `getSourceLocator(org.eclipse.debug.core.ILaunchConfiguration configuration)` Returns an `ISourceLocator` object based on the configuration.

Method Detail

### getSourceLocator

    org.eclipse.debug.core.model.IPersistableSourceLocator getSourceLocator(org.eclipse.debug.core.ILaunchConfiguration configuration)

  Returns an `ISourceLocator` object based on the configuration. Returns null if the configuration is not supported. To open the source in a particular editor, let the source locator object implement ISourcePresentation as well.

  Parameters:
    `configuration` -
  Returns: